button,
input[type=button],
input[type=submit],
input[type=reset] {
  padding: 6px 24px;
  padding: 0.375rem 1.5rem;
  border: 1px solid #6E4784;
  background-color: transparent;
  color: #6E4784;
  border-radius: 50px;
  font-weight: 500;
  cursor: pointer;
  transition: color 0.3s ease-out, background-color 0.3s ease-out, border-color 0.3s ease-out;
}
button:not([disabled]):hover, button:not([disabled]):focus,
input[type=button]:not([disabled]):hover,
input[type=button]:not([disabled]):focus,
input[type=submit]:not([disabled]):hover,
input[type=submit]:not([disabled]):focus,
input[type=reset]:not([disabled]):hover,
input[type=reset]:not([disabled]):focus {
  background-color: #6E4784;
  color: #222222;
  outline-style: none;
}

.button--black {
  padding: 12px 24px;
  padding: 0.75rem 1.5rem;
  font-size: 13px;
  font-size: 0.8125rem;
  line-height: 18px;
  line-height: 1.125rem;
  text-transform: uppercase;
  font-weight: 600;
  border: 0px;
  border-radius: 40px;
  background-color: #222222;
  color: #FFFFFF;
  cursor: pointer;
}
.button--black:hover, .button--black:focus {
  border-radius: 40px !important;
  background-color: #6E4784;
  color: #222222;
}
